import { Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { MenuId } from "@codingame/monaco-vscode-api/vscode/vs/platform/actions/common/actions";
import { IContextKeyService } from "@codingame/monaco-vscode-api/vscode/vs/platform/contextkey/common/contextkey.service";
import { IUserDataProfilesService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { IWorkbenchContribution } from "@codingame/monaco-vscode-api/vscode/vs/workbench/common/contributions";
import { ILifecycleService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/lifecycle/common/lifecycle.service";
import { IUserDataProfileManagementService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { IUserDataProfileService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { ITelemetryService } from "@codingame/monaco-vscode-api/vscode/vs/platform/telemetry/common/telemetry.service";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { IWorkspaceTagsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/tags/common/workspaceTags.service";
import { IEditorGroupsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/editor/common/editorGroupsService.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IURLService } from "@codingame/monaco-vscode-api/vscode/vs/platform/url/common/url.service";
import { IBrowserWorkbenchEnvironmentService } from "@codingame/monaco-vscode-34a0ffd3-b9f5-5699-b43b-38af5732f38a-common/vscode/vs/workbench/services/environment/browser/environmentService.service";
export declare const OpenProfileMenu: MenuId;
export declare class UserDataProfilesWorkbenchContribution extends Disposable implements IWorkbenchContribution {
    private readonly userDataProfileService;
    private readonly userDataProfilesService;
    private readonly userDataProfileManagementService;
    private readonly telemetryService;
    private readonly workspaceContextService;
    private readonly workspaceTagsService;
    private readonly editorGroupsService;
    private readonly instantiationService;
    private readonly lifecycleService;
    private readonly urlService;
    static readonly ID = "workbench.contrib.userDataProfiles";
    private readonly currentProfileContext;
    private readonly isCurrentProfileTransientContext;
    private readonly hasProfilesContext;
    constructor(userDataProfileService: IUserDataProfileService, userDataProfilesService: IUserDataProfilesService, userDataProfileManagementService: IUserDataProfileManagementService, telemetryService: ITelemetryService, workspaceContextService: IWorkspaceContextService, workspaceTagsService: IWorkspaceTagsService, contextKeyService: IContextKeyService, editorGroupsService: IEditorGroupsService, instantiationService: IInstantiationService, lifecycleService: ILifecycleService, urlService: IURLService, environmentService: IBrowserWorkbenchEnvironmentService);
    handleURL(uri: URI): Promise<boolean>;
    private openProfilesEditor;
    private registerEditor;
    private registerActions;
    private registerProfileSubMenu;
    private registerOpenProfileSubMenu;
    private readonly profilesDisposable;
    private registerProfilesActions;
    private registerProfileEntryAction;
    private registerNewWindowWithProfileAction;
    private registerNewWindowAction;
    private registerSwitchProfileAction;
    private registerManageProfilesAction;
    private registerExportCurrentProfileAction;
    private registerCreateFromCurrentProfileAction;
    private registerNewProfileAction;
    private registerDeleteProfileAction;
    private registerHelpAction;
    private reportWorkspaceProfileInfo;
}
