import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IUserDataProfileContentHandler, IProfileImportOptions, IUserDataProfileCreateOptions } from "@codingame/monaco-vscode-e72c94ca-257a-5b75-8b68-5a5fa3c18255-common/vscode/vs/workbench/services/userDataProfile/common/userDataProfile";
import { IUserDataProfileImportExportService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { IUserDataProfileManagementService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { IUserDataProfileService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { Disposable, IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IDialogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/dialogs/common/dialogs.service";
import { IUriIdentityService } from "@codingame/monaco-vscode-api/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IUserDataProfile, ProfileResourceTypeFlags } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataProfile/common/userDataProfile";
import { IUserDataProfilesService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataProfile/common/userDataProfile.service";
import { IOpenerService } from "@codingame/monaco-vscode-api/vscode/vs/platform/opener/common/opener.service";
import { IProgressService } from "@codingame/monaco-vscode-api/vscode/vs/platform/progress/common/progress.service";
import { IExtensionService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/extensions/common/extensions.service";
import { IQuickInputService } from "@codingame/monaco-vscode-api/vscode/vs/platform/quickinput/common/quickInput.service";
import { CancellationToken } from "@codingame/monaco-vscode-api/vscode/vs/base/common/cancellation";
import { IClipboardService } from "@codingame/monaco-vscode-api/vscode/vs/platform/clipboard/common/clipboardService.service";
import { IRequestService } from "@codingame/monaco-vscode-api/vscode/vs/platform/request/common/request.service";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
interface IUserDataProfileTemplate {
    readonly name: string;
    readonly icon?: string;
    readonly settings?: string;
    readonly keybindings?: string;
    readonly tasks?: string;
    readonly snippets?: string;
    readonly globalState?: string;
    readonly extensions?: string;
}
export declare class UserDataProfileImportExportService extends Disposable implements IUserDataProfileImportExportService {
    private readonly instantiationService;
    private readonly userDataProfileService;
    private readonly userDataProfileManagementService;
    private readonly userDataProfilesService;
    private readonly extensionService;
    private readonly quickInputService;
    private readonly progressService;
    private readonly dialogService;
    private readonly clipboardService;
    private readonly openerService;
    private readonly requestService;
    private readonly productService;
    private readonly uriIdentityService;
    readonly _serviceBrand: undefined;
    private profileContentHandlers;
    private readonly fileUserDataProfileContentHandler;
    constructor(instantiationService: IInstantiationService, userDataProfileService: IUserDataProfileService, userDataProfileManagementService: IUserDataProfileManagementService, userDataProfilesService: IUserDataProfilesService, extensionService: IExtensionService, quickInputService: IQuickInputService, progressService: IProgressService, dialogService: IDialogService, clipboardService: IClipboardService, openerService: IOpenerService, requestService: IRequestService, productService: IProductService, uriIdentityService: IUriIdentityService);
    registerProfileContentHandler(id: string, profileContentHandler: IUserDataProfileContentHandler): IDisposable;
    unregisterProfileContentHandler(id: string): void;
    createFromProfile(from: IUserDataProfile, options: IUserDataProfileCreateOptions, token: CancellationToken): Promise<IUserDataProfile | undefined>;
    createProfileFromTemplate(profileTemplate: IUserDataProfileTemplate, options: IUserDataProfileCreateOptions, token: CancellationToken): Promise<IUserDataProfile | undefined>;
    private applyProfileTemplate;
    exportProfile(profile: IUserDataProfile, exportFlags?: ProfileResourceTypeFlags): Promise<void>;
    createTroubleshootProfile(): Promise<void>;
    private doExportProfile;
    resolveProfileTemplate(uri: URI, options?: IProfileImportOptions): Promise<IUserDataProfileTemplate | null>;
    private doCreateProfile;
    private resolveProfileContent;
    private pickProfileContentHandler;
    private getProfileToImport;
    private getProfileNameIndex;
}
export {};
