import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
import { IFileService } from "@codingame/monaco-vscode-api/vscode/vs/platform/files/common/files.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { ILogService } from "@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service";
import { IUriIdentityService } from "@codingame/monaco-vscode-api/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
import { IUserDataInitializer } from "../../userData/browser/userDataInit.js";
import { IUserDataProfileService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/userDataProfile/common/userDataProfile.service";
import { IBrowserWorkbenchEnvironmentService } from "@codingame/monaco-vscode-34a0ffd3-b9f5-5699-b43b-38af5732f38a-common/vscode/vs/workbench/services/environment/browser/environmentService.service";
import { IRequestService } from "@codingame/monaco-vscode-api/vscode/vs/platform/request/common/request.service";
export declare class UserDataProfileInitializer implements IUserDataInitializer {
    private readonly environmentService;
    private readonly fileService;
    private readonly userDataProfileService;
    private readonly storageService;
    private readonly logService;
    private readonly uriIdentityService;
    private readonly requestService;
    _serviceBrand: any;
    private readonly initialized;
    private readonly initializationFinished;
    constructor(environmentService: IBrowserWorkbenchEnvironmentService, fileService: IFileService, userDataProfileService: IUserDataProfileService, storageService: IStorageService, logService: ILogService, uriIdentityService: IUriIdentityService, requestService: IRequestService);
    whenInitializationFinished(): Promise<void>;
    requiresInitialization(): Promise<boolean>;
    initializeRequiredResources(): Promise<void>;
    initializeOtherResources(instantiationService: IInstantiationService): Promise<void>;
    private initializeInstalledExtensionsPromise;
    initializeInstalledExtensions(instantiationService: IInstantiationService): Promise<void>;
    private profileTemplatePromise;
    private getProfileTemplate;
    private doGetProfileTemplate;
    private initialize;
}
