import { IKeybindingService } from "@codingame/monaco-vscode-api/vscode/vs/platform/keybinding/common/keybinding.service";
import { IUserDataSyncUtilService } from "@codingame/monaco-vscode-api/vscode/vs/platform/userDataSync/common/userDataSync.service";
import { IStringDictionary } from "@codingame/monaco-vscode-api/vscode/vs/base/common/collections";
import { FormattingOptions } from "@codingame/monaco-vscode-407531d3-fdae-5387-8c41-49ba0e9574b5-common/vscode/vs/base/common/jsonFormatter";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { ITextModelService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/resolverService.service";
import { ITextResourcePropertiesService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/textResourceConfiguration.service";
import { ITextResourceConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/textResourceConfiguration.service";
export declare class UserDataSyncUtilService implements IUserDataSyncUtilService {
    private readonly keybindingsService;
    private readonly textModelService;
    private readonly textResourcePropertiesService;
    private readonly textResourceConfigurationService;
    readonly _serviceBrand: undefined;
    constructor(keybindingsService: IKeybindingService, textModelService: ITextModelService, textResourcePropertiesService: ITextResourcePropertiesService, textResourceConfigurationService: ITextResourceConfigurationService);
    resolveDefaultCoreIgnoredSettings(): Promise<string[]>;
    resolveUserBindings(userBindings: string[]): Promise<IStringDictionary<string>>;
    resolveFormattingOptions(resource: URI): Promise<FormattingOptions>;
}
